GNU Radio's GSM Package: gr::gsm::universal_ctrl_chans_demapper Class Reference

GNU Radio's GSM Package

Public Types | Static Public Member Functions | List of all members
gr::gsm::universal_ctrl_chans_demapper Class Reference

<+description of block+> More...

`#include <universal_ctrl_chans_demapper.h>`

Inheritance diagram for gr::gsm::universal_ctrl_chans_demapper:

## Public Types
typedef boost::shared_ptr< universal_ctrl_chans_demapper > | sptr

## Static Public Member Functions
static sptr | make (unsigned int timeslot_nr, const std::vector< int > &downlink_starts_fn_mod51, const std::vector< int > &downlink_channel_types, const std::vector< int > &downlink_subslots, const std::vector< int > &uplink_starts_fn_mod51=std::vector< int >(), const std::vector< int > &uplink_channel_types=std::vector< int >(), const std::vector< int > &uplink_subslots=std::vector< int >())
| Return a shared_ptr to a new instance of gsm::universal_ctrl_chans_demapper. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<universal_ctrl_chans_demapper> gr::gsm::universal_ctrl_chans_demapper::sptr

## Member Function Documentation

## ◆ make()

static sptr gr::gsm::universal_ctrl_chans_demapper::make | ( | unsigned int | timeslot_nr,
|  | const std::vector< int > & | downlink_starts_fn_mod51,
|  | const std::vector< int > & | downlink_channel_types,
|  | const std::vector< int > & | downlink_subslots,
|  | const std::vector< int > & | uplink_starts_fn_mod51 = `std::vector< int >()`,
|  | const std::vector< int > & | uplink_channel_types = `std::vector< int >()`,
|  | const std::vector< int > & | uplink_subslots = `std::vector< int >()`
| ) |  |
| static

Return a shared_ptr to a new instance of gsm::universal_ctrl_chans_demapper.

To avoid accidental use of raw pointers, gsm::universal_ctrl_chans_demapper's constructor is in a private implementation class. gsm::universal_ctrl_chans_demapper::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- universal_ctrl_chans_demapper.h